. .\0_globals.ps1

qlik context use $QlikSaaSContext

# Note: as of 2023-09-07 the available roles are
# 		* Managed Spaces: basicconsumer, consumer, contributor, dataconsumer, facilitator, publisher
#		* Shared Spaces: codeveloper, consumer, dataconsumer, facilitator, producer

$assignments = Import-Csv -Path $DATA\spacegroupassignments.csv

foreach ($assignment in $assignments)
{
	$spacename = $assignment.SpaceName
	$group = $assignment.group
	$roles = $assignment.roles

	Write-Host $spacename, $group, $roles

	#$spaceId = qlik space ls --name $spacename -q
	$spaceId = qlik space filter --names $spacename -q
	Write-Host "spaceid: $spaceId"
	$groupid = qlik group ls --filter "name eq """"$group""""" -q
	Write-Host "userId: $groupid"

	#Write-Host $spaceId, $userId
	
	#create the assignment
	qlik space assignment create --spaceId $spaceId --assigneeId $groupid --roles "$roles" --type group
}